Subject: Re: bug#36644: Git log search

From: Juri Linkov <[email-masked]>
Date: Fri, 19 Jul 2019 01:35:53 +0300

>>> Bug.*0
>>>
>>> to get all log entries with a bug reference ending in 0.
>>
>> Currently when using shell-quote-argument it doesn't allow
>> using such regexps as Bug.*0.  So I guess we need to remove
>> shell-quote-argument and also to not use regexp-quote.
>
> I think shell-quote-argument is a mistake regardless, vc-git-command
> doesn't call a shell, so there is no need for shell-quote-argument.

Right, shell-quote-argument should be removed in any case, fixed.